#ifndef __LODINFO_H
#define __LODINFO_H

#include "common.h"


namespace CHCDemoEngine 
{

/** Class representing information about an LOD level.
*/
struct LODLevel
{
public:
	
	LODLevel(float squaredDist): mSquaredDistance(squaredDist) {}


	/// distance of this LOD level
	float mSquaredDistance;
	/// shapes belonging to this LOD level
	ShapeContainer mShapes;
};

}

#endif // __LODINFO_H